function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, JoinColumn, Column, ManyToOne } from "typeorm";
import { User } from "./user.js";
import { id } from "../id.js";
export let SwSubscription = class SwSubscription {
    id;
    createdAt;
    userId;
    user;
    endpoint;
    auth;
    publickey;
    sendReadMessage;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], SwSubscription.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone"),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], SwSubscription.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], SwSubscription.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], SwSubscription.prototype, "user", void 0);
_ts_decorate([
    Column("varchar", {
        length: 512
    }),
    _ts_metadata("design:type", String)
], SwSubscription.prototype, "endpoint", void 0);
_ts_decorate([
    Column("varchar", {
        length: 256
    }),
    _ts_metadata("design:type", String)
], SwSubscription.prototype, "auth", void 0);
_ts_decorate([
    Column("varchar", {
        length: 128
    }),
    _ts_metadata("design:type", String)
], SwSubscription.prototype, "publickey", void 0);
_ts_decorate([
    Column("boolean", {
        default: false
    }),
    _ts_metadata("design:type", Boolean)
], SwSubscription.prototype, "sendReadMessage", void 0);
SwSubscription = _ts_decorate([
    Entity()
], SwSubscription);
